import { createSlice } from '@reduxjs/toolkit'

export const tableBarItemSlice = createSlice({
    name: 'tableBarItem',
    initialState: {
        type:"tableBarItem",
        data: [],
        activeKey:""
    },
    reducers: {
        addTableBarItem: (state, action) => {
            console.log("tableBarItemSlice:tableBarItem=====", state, action,)
            if (state.data.filter(file=>file.key===action.payload.key).length===0){
                state.data.push(action.payload)
            }
        },
        setActiveKey:(state,action)=>{
            if (state.activeKey!==action.payload){
                state.activeKey=action.payload;
            }
        }
    }
})
export const { addTableBarItem,setActiveKey } = tableBarItemSlice.actions
export default tableBarItemSlice.reducer
